libnvme(2)

NAME
struct nvme_resv_acquire_args - Arguments for the NVMe Reservation Acquire Command

SYNOPSIS
struct nvme_resv_acquire_args {
__u64 crkey;
__u64 nrkey;
__u32 *result;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_resv_rtype rtype;
enum nvme_resv_racqa racqa;
bool iekey;
};

Members

crkey
    The current reservation key associated with the host

nrkey
    The reservation key to be unregistered from the namespace if the action is preempt

result
    The command completion result from CQE dword0

args_size
    Size of struct nvme_resv_acquire_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace identifier

rtype
    The type of reservation to be create, see enum nvme_resv_rtype

racqa
    The action that is performed by the command, see enum nvme_resv_racqa

iekey
    Set to ignore the existing key